@ECHO OFF
:***************************************************************
:* Filename=DVFILE.CMD                                         *
:*                                                             *
:* This batch file invokes the Device Driver Test Tool (DDTT)  *
:* to test file related API calls against a DVD device. Also   *
:* invoked is program CDSCAN which scans the disc for a test   *
:* input file the name of which is placed in a DDTT include    *
:* file which is placed in the current directory.              *
:*                                                             *
:* Required:  DVFILE.CMD  (This batch file)                    *
:*            CDSCAN.EXE  (Scans the disc for file candidates) *
:*            DDTT                                             *
:*            DVFILE.SCR  (The DDTT CDROM file script)         *
:*            Data disc                                        *
:*                                                             *
:* Directions:  Mount the data disc in the CDROM drive.        *
:*              At the prompt, type DVFILE followed by the     *
:*              DVD drive letter (with colon).                 *
:*              Example:  DVFILE E:                            *
:*              Check DVFILE.LOG to ensure that no failures    *
:*              occurred.                                      *
:*              If the scan program was unable to find a       *
:*              candidate file, an error message will be       *
:*              printed.                                       *
:***************************************************************
CLS
ECHO Verify that a DVD-RAM is mounted in the specifed DVD drive and
PAUSE
IF %1. == . GOTO NODRIVE

DIR %1 /S | CDSCAN
IF ERRORLEVEL 1 GOTO ERR
ECHO ***TEST FILE IDENTIFIED

DDTT DVFILE.SCR

TYPE DVFILE.LOG
GOTO CONTINUE

:ERR
ECHO ***ERROR: UNABLE TO IDENTIFY TEST FILE; TEST CANCELLED
GOTO CONTINUE

:NODRIVE
ECHO ***ERROR: [DRIVE LETTER:] WAS NOT ENTERED; TEST CANCELLED

:CONTINUE
